Bug 101413 - autofs can't shut down
autofs can't shut down
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-07-31 16:02 EDT by Bill Nottingham
Modified: 2015-01-04 17:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:02:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2003-07-31 16:02:28 EDT
Description of problem:

shutdown of autofs hangs; the current pid is 'pidof', stuck in 'R'
state.

Show Regs sez:

Pid/TGid: 1181911819, comm: pidof
EIP: 0060:[<c016b4f6>] CPU:0
EIP is at .text.lock.inode [kernel] 0x167 (2.4.21.20.1.2024.2.1.nptlsmp)
Call trace is:
proc_pid_make_inode
proc_pid_lookup
real_lookup
link_path_walk
path_lookup
__user_walk
sys_stat64
sys_munmap
system_call

Seems to happen pretty much every shutdown.
Comment 1 Michael K. Johnson 2003-08-08 16:19:19 EDT
Our only changes to autofs from the base kernel are in the O(1)/nptl patch,
and they involve signal handling.  Have you seen this in the upstream 2.4.21
kernel by any chance?
Comment 2 Bill Nottingham 2003-08-08 17:06:31 EDT
It seems to work in taroon, which is also NPTL.
Comment 3 Brian Brock 2003-10-10 11:28:49 EDT
I'm still seeing this in 2.4.22-1.2087.nptlsmp  on an thlon system.
Comment 4 Michael K. Johnson 2003-10-21 16:19:15 EDT
Ingo, any thoughts?
Comment 5 Chris Ricker 2003-10-22 15:21:37 EDT
I use autofs very extensively for NFS mounts, and I've not been seeing this. All
my severn workstations are single CPU Athlon or mobile Athlon, though
Comment 6 Ingo Molnar 2003-10-27 13:16:59 EST
hm, it seems to have spinlock deadlocked in some inode.c function called by
proc_pid_make_inode() - possibly new_inode()? This is not something NPTL has
changed or should affect directly.
Comment 7 Ingo Molnar 2003-10-27 13:24:59 EST
what could bring us forward would be to know what happens on the other CPU which
seems to cause the deadlock of this CPU.
Comment 8 Michael K. Johnson 2003-10-29 12:38:22 EST
Hmm, I just noticed that I've got an SMP machine running autofs and I can't
reproduce this with recent kernels.  Maybe fixed...

Note You need to log in before you can comment on or make changes to this bug.